[Ironruby-core] Cucumber / RSpec Story Runner

Pat Gannon lists at ruby-forum.com
Fri Oct 17 04:29:39 EDT 2008

Has anyone tried to get Cucumber (or it's predecessor: the RSpec story
runner) to work with IronRuby?  I have not had any luck thus far (I am
extremely new to Ruby), and I would really like to be able to use
Cucumber to write executable feature documentation for my .NET code.


I copied it under the "lib" directory, as well as several of its
dependencies, but when I try to do "require
'cucumber-0.1.7/lib/cucumber'", ir (interactive ruby) fails with a stack
overflow.  The same thing happens when I try to require some its
dependencies manually (eg. "require 'hoe-1.8.0/lib/hoe'" and "require
'rake-0.8.3/lib/rake'"), but some work just fine (eg. "require
'polyglot-0.2.3/lib/polyglot'" and "require

I also tried to get gem working to aide me in this process, but I had
problems with that too.  Has anyone got gem working with IronRuby?

Thanks in advance!
Pat Gannon
Posted via http://www.ruby-forum.com/.

More information about the Ironruby-core mailing list